## org.exist.memtree
Class ProcessingInstructionImpl

    java.lang.Object
      org.exist.memtree.NodeImpl
          org.exist.memtree.ProcessingInstructionImpl

All Implemented Interfaces:
  java.lang.Comparable, Item, org.w3c.dom.Node, NodeValue, org.w3c.dom.ProcessingInstruction, QNameable, Sequence

public class ProcessingInstructionImpl
extends NodeImpl
implements org.w3c.dom.ProcessingInstruction

Field Summary

Fields inherited from class org.exist.memtree.NodeImpl
`NAMESPACE_NODE, REFERENCE_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.exist.xquery.value.NodeValue
`IN_MEMORY_NODE, PERSISTENT_NODE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`ProcessingInstructionImpl(DocumentImpl doc, int nodeNumber)`

Method Summary
`java.lang.String` `getData()`
`org.w3c.dom.Node` `getFirstChild()`
`java.lang.String` `getStringValue()` Return the string value of this item (see the definition of string value in XPath).
`java.lang.String` `getTarget()`
`void` `setData(java.lang.String arg0)`
`java.lang.String` `toString()`

Methods inherited from class org.exist.memtree.NodeImpl

`add, addAll, addContextNode, after, appendChild, atomize, before, clearContext, cloneNode, compareDocumentPosition, compareTo, conversionPreference, convertTo, copyTo, deepCopy, effectiveBooleanValue, equals, equals, expand, getAttributes, getBaseURI, getCardinality, getChildNodes, getDocument, getDocumentSet, getFeature, getImplementationType, getItemType, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeNumber, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getQName, getTextContent, getType, getUserData, hasAttributes, hasChildNodes, hasMany, hasOne, insertBefore, isCached, isDefaultNamespace, isEmpty, isEqualNode, isPersistentSet, isSameNode, isSupported, itemAt, iterate, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeDuplicates, replaceChild, setIsCached, setNodeValue, setPrefix, setSelfAsContext, setTextContent, setUserData, streamTo, toJavaObject, toNodeSet, toSAX, toSequence, unorderedIterator`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### ProcessingInstructionImpl

    public ProcessingInstructionImpl(DocumentImpl doc,
                                     int nodeNumber)

Parameters:
  `doc` -
  `nodeNumber` -

Method Detail

### getTarget

    public java.lang.String getTarget()

  Specified by:
    `getTarget` in interface `org.w3c.dom.ProcessingInstruction`

### getStringValue

    public java.lang.String getStringValue()

  Description copied from interface: `Item`
  Return the string value of this item (see the definition of string value in XPath).

  Specified by:
    `getStringValue` in interface `Item`
  Overrides:
    `getStringValue` in class `NodeImpl`

### getData

    public java.lang.String getData()

  Specified by:
    `getData` in interface `org.w3c.dom.ProcessingInstruction`

### setData

    public void setData(java.lang.String arg0)
                 throws org.w3c.dom.DOMException

  Specified by:
    `setData` in interface `org.w3c.dom.ProcessingInstruction`
  Throws:
    `org.w3c.dom.DOMException`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `NodeImpl`

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.